{% load_credits %}

{% head %}
<title>Minha Conta - {{ current_shop.name }}</title>
<meta content="Minha Conta - {{ current_shop.name }}" name="description"/>

<link href="/pages/account.css" inline rel="stylesheet" type="text/css">
{% endhead %}

{% body %}
  <script src="{{ 'login.js' | javascript_path }}"></script>
{% endbody %}

{% assign component_version = 'v33' %}
{% if current_shop.settings contains 'component_version_account' %}
  {% assign settings_version = current_shop.settings.component_version_account %}
  {% if settings_version != blank %}
    {% assign component_version = "v" | append: settings_version %}
  {% endif %}
{% endif %}

<section class="account container">
  <p class="logout button-default">
    <a aria-label="Sair da minha conta" href="{{ logout_url }}">Sair</a>
  </p>
  <div class="boxed">
    {% component_account
        version: component_version
        font_family: "Montserrat, sans-serif" 
        spacing: 0.1 
        border_radius: 6 
        primary1_color: "#000000" 
        primary2_color: "#000000" 
        primary3_color: "#000000" 
        accent1_color: "#000000" 
        accent2_color: "#000000" 
        accent3_color: "#000000" 
        text_color: "#000000" 
        secondary_text_color: "#000000" 
        alternate_text_color: "#fff" 
        canvas_color: "#fff" 
        border_color: "#e6dbe3" 
        disabled_color: "#585858" 
        picker_header_color: "#215A60" 
        clock_circle_color: "#215A60" 
        shadow_color: "rgb(0 0 0 / 13%)" 
      %}
  </div>
</section>
